New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Get ASR models

GET
/api/v1/settings/asr-model

Return all selectable ASR models. Empty options list on macOS (single MLX build).

Response Body

Successful Response

application/json
  1. response
options*array<>

Available ASR models

current*Current

ID of the currently selected model

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/settings/asr-model'
Example Response200
{  "options": [    {      "id": "string",      "name": "string",      "description": "string",      "family": "string",      "vram_mb": 0,      "languages": [        "string"      ],      "selected": true    }  ],  "current": "string"}